### Method

# Gdk Surfaceget_frame_clock

#### Declaration [src]

    GdkFrameClock*
    gdk_surface_get_frame_clock (
      GdkSurface* surface
    )

#### Description [src]

Gets the frame clock for the surface.

The frame clock for a surface never changes unless the surface is reparented to a new toplevel surface.

Gets property | `Gdk.Surface:frame-clock`

#### Return value

Type: `GdkFrameClock`

The frame clock.

The data is owned by the instance.